﻿using DigiKidsStandAlone.Models.ViewModels;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Controllers
{
    public class AdminController : Controller
    {
        private UserManager<IdentityUser> userManager;
        private RoleManager<IdentityRole> roleManager;

        public AdminController(UserManager<IdentityUser> usrMgr, RoleManager<IdentityRole> roleMgr)
        {
            userManager = usrMgr;
            roleManager = roleMgr;
        }

        [Authorize(Roles = "Administrators")]
        public ViewResult Index()
        {
            AdminViewModel adminViewModel = new AdminViewModel
            {
                IdentitieUsers = userManager.Users,
                IdentitieRoles = roleManager.Roles
            };

            return View(adminViewModel);
        }
    }
}
