﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class Child
    {
        public int ChildId { get; set; }

        [Required]
        [MaxLength(35)]
        public string Name { get; set; }

        [Required]
        [MaxLength(35)]
        public string FirstName { get; set; }

        [Required]
        public ClassRoom ClassRoom { get; set; }

        [Required]
        public Parent Parent { get; set; }

        public ICollection<DayCare> DayCares {get;set;}

        [Required]
        public bool Confirmed { get; set; }

        public string FullName {
            get
            {
                return Name + " " + FirstName;
            }
        }
    }
}
