﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace DigiKidsStandAlone.Models
{
    public class DigiKidsDbContext : DbContext
    {
        public DigiKidsDbContext(DbContextOptions<DigiKidsDbContext> options) : base(options)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Child>().HasOne(c => c.Parent).WithMany(x => x.Children).OnDelete(DeleteBehavior.Restrict);
            modelBuilder.Entity<ClassRoom>().HasOne(c => c.Teacher).WithMany(x => x.ClassRooms).OnDelete(DeleteBehavior.Restrict);
        }
        public DbSet<ZipCode> ZipCodes { get; set; }
        public DbSet<Child> Children { get; set; }
        public DbSet<ClassRoom> ClassRooms { get; set; }
        public DbSet<Parent> Parents { get; set; }
        public DbSet<Teacher> Teachers { get; set; }
        public DbSet<DayCare> DayCares { get; set; }
        public DbSet<DayCareType> DayCareTypes { get; set; }
    }
}
