﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace DigiKidsStandAlone.Models
{

    public class Registration
    {
        [BindNever]
        public int RegistrationId { get; set; }

        [Required(ErrorMessage = "Gelieve een naam in te geven")]
        public string Name { get; set; }

        [Required(ErrorMessage = "Gelieve een voornaam in te geven")]
        public string FirstName { get; set; }

        [Required(ErrorMessage = "Gelieve een adres in te geven")]
        public string Address { get; set; }

        [Required(ErrorMessage = "Gelieve een woonplaats in te geven")]
        public string City { get; set; }

        [Required(ErrorMessage = "Gelieve een telefoonnummer in te geven")]
        public string PhoneNumber { get; set; }

        [Required(ErrorMessage = "Gelieve een wachtwoord in te geven")]
        public string Password { get; set; }

        [Required(ErrorMessage = "Gelieve uw wachtwoord te bevestigen")]
        public string ConfirmPassword 
        {
            get { return ConfirmPassword; }
            set
            {
                if(ConfirmPassword == Password)
                {
                    ConfirmPassword = value;
                }
                else
                {
                    ConfirmPassword = null;
                }
            }
        }
   
        //public FileResult Photo { get; set; }
    }
}
