﻿using System.ComponentModel.DataAnnotations;

namespace DigiKidsStandAlone.Models
{
    public abstract class User
    {
        [Key]
        public int Id { get; set; }

        [Required]
        [MaxLength(35)]
        public string Name { get; set; }

        [Required]
        [MaxLength(35)]
        public string FirstName { get; set; }

        [Required]
        [MaxLength(320)]
        public string Email { get; set; }

        [Required]
        [MaxLength(100)]
        public string Address { get; set; }

        [Required]
        public ZipCode Zip { get; set; }

        [Required]
        [MaxLength(15)]
        public string Telephone { get; set; }

        [Required]
        public string UserName { get; set; }

        public string FullName
        {
            get { return Name + " " + FirstName; }
        }

        //username zelfde identity zit
    }
}
